# Uses of Class
org.apache.solr.client.solrj.response.PivotField

Packages that use PivotField
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of PivotField in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return types with arguments of type PivotField
Modifier and Type
Method
Description
`NamedList<List<PivotField>>`
QueryResponse.`getFacetPivot()`
`List<PivotField>`
PivotField.`getPivot()`
`protected List<PivotField>`
QueryResponse.`readPivots(List<NamedList> list)`
Constructor parameters in org.apache.solr.client.solrj.response with type arguments of type PivotField
Modifier
Constructor
Description
``
`PivotField(String f, Object v, int count, List<PivotField> pivot, Map<String,FieldStatsInfo> statsInfo, Map<String,Integer> queryCounts, List<RangeFacet> ranges)`